package com.keyware.shandan.dynacmicform.core;

import com.keyware.shandan.dynacmicform.core.basic.entity.FormInfoPo;

public interface DynamicFormEventListener {
    /**
     * 动态表单保存成功的监听回调
     *
     * @param form 表单信息
     */
    void onSave(FormInfoPo form) throws Exception;

    /**
     * 动态表单修改成功的监听回调
     *
     * @param form 表单信息
     */
    void onAlter(FormInfoPo form);

    /**
     * 动态表单删除成功的监听回调
     *
     * @param form 表单信息
     */
    void onDrop(FormInfoPo form);
}
